        .maxbox {
            width: 100%;
            height: 100%;
            margin: 0 auto;
        }
        /* 当鼠标悬停在 .maxbox 上时 */


        
        .tool {
            width: 24%;
            height: 80px;
            border-radius: 5%;
            border:1px solid  #ccc;
            float: left;
            margin:5px 5px 5px 0px;
        }
        .tool:hover {
            transform: translateY(-5px); /* 向上移动 5px */
            transition: transform 0.3s ease; /* 添加过渡效果 */
            box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.1); /* 添加右下方的阴影效果 */
        }
         
        .url-content {
            width: 100%;
            height: 75%;
            /* padding: 0px 20px; */
        }
        
        .url-img {
            float: left;
            width: 30%;
            height: 100%;
            padding:10% 2px;
        }
        
        .lazy {
            width: 100%;
            height: auto;
            border-radius: 50%;
            /*align-items: center; */
            justify-content: center; /* 水平居中 */
        }
        
        .url-info {
            padding: 5px 0px 0px 0px;
            float: left;
            width: 70%;
            height: 39px;
        }
        
        .text-sm {
            margin-left: 5px;
        }
        
        .url-goto {
            width: 100%;
            height: 20px;
            text-align: right;
        }
        
        .url-goto a {
            color: darkgray;
            font-size: 12px;
            text-decoration: none;
            text-align: right;
        }
        
        .url-info >strong {
            display: block;
            margin-left: 10%;
            color: black;
            font-size: 16px;
            overflow-x: hidden; /* 只隐藏水平方向的溢出 */
            white-space: nowrap; /* 不换行 */
            text-overflow: ellipsis; /* 文本溢出时显示省略号 */
        }
        
        .url-info >p {
            margin: 5px 0px 0px 5px;
            line-height: 100%!important;
            font-size: 12px;
            color: dimgrey;
            overflow-x: hidden; /* 只隐藏水平方向的溢出 */
            white-space: nowrap; /* 不换行 */
            text-overflow: ellipsis; /* 文本溢出时显示省略号 */
        }
         /* 聊天气泡 */
        
        .frame {
            width: 100%;
            float: left;
            position: relative;
            padding: 0 0 0 5px;
            display: none;
        }
        
        .triangle {
            width: 0;
            height: 0;
            border-right: 6px solid transparent;
            border-left: 6px solid transparent;
            border-bottom: 15px solid black;
            opacity: 0;
            animation: fadeIn 1.5s forwards;
            z-index: 999;
        }
        
        .rotationtiao {
            float: left;
            padding: 5px 10px;
            color: white;
            background-color: black;
            font-size: 14px;
            border-radius: 2px;
            opacity: 0;
            animation: fadeIn 1.5s forwards;
            z-index: 999;
        }

        @media screen and (max-width: 550px) {
            .tool {
                width: 48.5%;
                height: 80px;
                float: left;
            }
             .url-img {
                float: left;
                width: 30%;
                height: 100%;
                padding:2% 2px;
            }
            .lazy {
            width: 70%;
            height: auto;
            border-radius: 50%;
            justify-content: center; 
        }
        }
        
        @media screen and (min-width: 550px) and (max-width: 800px) {
            .tool {
                width: 49%;
                height: 80px;
                float: left;
            }
             .url-img {
                float: left;
                width: 30%;
                height: 100%;
                padding:2% 2px;
            }
            .lazy {
            width: 70%;
            height: auto;
            border-radius: 50%;
            /*align-items: center; */
            justify-content: center; /* 水平居中 */
        }
        }
        
        @media screen and (min-width: 800px) and (max-width: 1000px) {
            .tool {
                width: 32%;
                height: 80px;
                float: left;
            }
             .url-img {
                float: left;
                width: 30%;
                height: 100%;
                padding:2% 2px;
            }
             .lazy {
            width: 90%;
            height: auto;
            border-radius: 50%;
            /*align-items: center; */
            justify-content: center; /* 水平居中 */
        }
        }
        
             /* 动画 */
        
        @keyframes fadeIn {
            0% {
                opacity: 0;
                /* Start from invisible */
            }
            100% {
                opacity: 1;
                /* Fade in completely */
            }
        }